Name:          ibus-m17n
Version:       1.4.13
Release:       1mamba
Summary:       M17N engine for IBus
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ibus/ibus-m17n
Source:        https://github.com/ibus/ibus-m17n.git/%{version}/ibus-m17n-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libibus-devel
BuildRequires: liblzma-devel
BuildRequires: libm17n-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libthai-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
M17N engine for IBus.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_libexecdir}/ibus-engine-m17n
%{_libexecdir}/ibus-setup-m17n
%{_datadir}/metainfo/m17n.appdata.xml
%{_datadir}/applications/ibus-setup-m17n.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.m17n.gschema.xml
%dir %{_datadir}/ibus-m17n
%{_datadir}/ibus-m17n/default.xml
%dir %{_datadir}/ibus-m17n/icons
%{_datadir}/ibus-m17n/icons/ibus-m17n.png
%dir %{_datadir}/ibus-m17n/setup
%{_datadir}/ibus-m17n/setup/ibus-m17n-preferences.ui
%dir %{_datadir}/ibus/component
%{_datadir}/ibus/component/m17n.xml
%{_datadir}/icons/hicolor/*/apps/ibus-m17n.png
%doc AUTHORS COPYING

%changelog
* Fri Sep 09 2022 Automatic Build System <autodist@mambasoft.it> 1.4.13-1mamba
- automatic version update by autodist

* Sun Sep 04 2022 Automatic Build System <autodist@mambasoft.it> 1.4.11-1mamba
- automatic version update by autodist

* Mon Aug 08 2022 Automatic Build System <autodist@mambasoft.it> 1.4.10-1mamba
- automatic version update by autodist

* Thu Jan 20 2022 Automatic Build System <autodist@mambasoft.it> 1.4.9-1mamba
- automatic version update by autodist

* Thu Oct 21 2021 Automatic Build System <autodist@mambasoft.it> 1.4.8-1mamba
- automatic version update by autodist

* Sun Aug 15 2021 Automatic Build System <autodist@mambasoft.it> 1.4.7-1mamba
- automatic version update by autodist

* Sat Jul 17 2021 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic version update by autodist

* Thu Apr 08 2021 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.4-1mamba
- package created using the webbuild interface
